Bug 674455 - (CVE-2011-0047, CVE-2011-0537) CVE-2011-0047 CVE-2011-0537 mediawiki: multiple vulnerabilities corrected in mediawiki 1.16.2
CVE-2011-0047 CVE-2011-0537 mediawiki: multiple vulnerabilities corrected in ...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 674456 674457 674458 674459 674460
  Show dependency treegraph
Reported: 2011-02-01 18:33 EST by Vincent Danen
Modified: 2013-04-03 21:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-03 21:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-02-01 18:33:07 EST
MediaWiki 1.16.2 was released today with the following fixes:

An arbitrary script inclusion vulnerability was discovered. The
vulnerability only allows execution of files with names ending in
".php" which are already present in the local filesystem. Only servers
running Microsoft Windows and possibly Novell Netware are affected.
Despite these mitigating factors, all users are advised to upgrade,
since there is a risk of complete server compromise. MediaWiki 1.8.0
and later is affected. For more details, see bug 27094:


Security researcher mghack discovered a CSS injection vulnerability.
For Internet Explorer and similar browsers, this is equivalent to an
XSS vulnerability, that is to say, it allows the compromise of wiki
user accounts. For other browsers, it allows private data such as IP
addresses and browsing patterns to be sent to a malicious external web
server. It affects all versions of MediaWiki. All users are advised to
upgrade. For more information, see bug 27093:


This vulnerability was originally reported to the Mozilla Security
Group and has been assigned CVE-2011-0047.


Only 1.16.2 has been released, however the CSS injection would affect previous versions as shipped in EPEL (mediawiki114 and mediawiki115).
Comment 1 Vincent Danen 2011-02-01 18:34:31 EST
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 674456]
Comment 2 Vincent Danen 2011-02-01 18:34:34 EST
Created mediawiki116 tracking bugs for this issue

Affects: epel-all [bug 674457]
Comment 3 Vincent Danen 2011-02-01 18:34:37 EST
Created mediawiki114 tracking bugs for this issue

Affects: epel-4 [bug 674459]
Affects: epel-5 [bug 674460]
Comment 4 Vincent Danen 2011-02-01 18:34:39 EST
Created mediawiki115 tracking bugs for this issue

Affects: epel-all [bug 674458]
Comment 5 Vincent Danen 2011-02-03 13:04:02 EST
The first issue (arbitrary script inclusion vulnerability) has been assigned CVE-2011-0537.

Note You need to log in before you can comment on or make changes to this bug.